#include <iostream>
#include <math.h>
using namespace std;

long long T[50001];

long long N, p,v;

long long solve(long long k)
{
    long long f, f1;

    f = (long long) pow(N, 1.0/k);
    f1 = 0;
    while (pow(f, k - f1) * pow(f+1, f1) < N)
      f1++;
    //cout << k << " - " << f << "," << f1 << " = " << (k*f + f1)*p + k*v << endl;
    return (k*f + f1)*p + k*v;
}

int main()
{
    long long r, tr, k;

    cin >> N >> p >> v;

    if (N == 1) cout << 0 << endl;
    else
    {
      r = solve(1);
      for (k=2; pow(2,k) <= N; k++)
        {
          tr = solve(k);

          if (tr < r)
            r = tr;
        }

      cout << r << endl;
    }
    return 0;
}

